#ifndef __CLF_LIGHT__
#define __CLF_LIGHT__

#include "clf_math.h"

class clf_light{
	float light_ambient[4];       // the colour and intesity of the ambient light
	float light_diffuse[4];       // the difuse property of the surface
	float light_specular[4];			// the specular property
	clf_vector4 light_position;
	unsigned int light_id;
public:
	clf_light(unsigned int id);
	~clf_light();
	void set_ambient(float a0, float a1, float a2, float a3);
	void set_diffuse(float a0, float a1, float a2, float a3);
	void set_specular(float a0, float a1, float a2, float a3);
	void set_position(float x, float y, float z, float w);
	clf_vector4& position();
	void apply();
	void draw_source();
	/////////////////////////////////////////////////////////////
	static void enable(){
		glEnable (GL_LIGHTING);					 // enable lighting
	}
	static void disable(){
		glDisable (GL_LIGHTING);					 // enable lighting
	}
};

#endif // __CLF_LIGHT__
